/**
  * Base styles for creating a button component
  *
  * 1. Apply default NHS UK body styles
  * 2. Reset browser defaults
  */

.c-hrt-button {
  // @extend .nhsuk-body; /* 1 */
  background-color: transparent; /* 2 */
  border: none; /* 2 */
  text-decoration: underline; /* 2 */
  padding: 0; /* 2 */
}

/**
  * Replicate NHS UK link styles
  */

.c-hrt-button--link {
  color: $nhsuk-link-colour;

  &:hover {
    color: $nhsuk-link-hover-colour;
    cursor: pointer;
  }

  &:active {
    color: $nhsuk-link-active-colour;
  }
}

@media print {
  .nhsuk-button--secondary {
    color: $nhsuk-text-color;
  }
}
